From 5ab737015b85a7398da6491c1dd9d1aa0e9039b7 Mon Sep 17 00:00:00 2001
From: Yasuhiro Ikeda <wipple625@gmail.com>
Date: Tue, 3 Aug 2010 22:07:36 +0900
Subject: [PATCH 1/2] Fix bug in fps/timestamp handling with lavf input

Incorrect output for some file types (e.g. raw in mov).
---
 input/lavf.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/input/lavf.c b/input/lavf.c
index e1dd352..55112bf 100644
--- a/input/lavf.c
+++ b/input/lavf.c
@@ -96,7 +96,7 @@ static int read_frame_internal( cli_pic_t *p_pic, lavf_hnd_t *h, int i_frame, vi
     if( h->vfr_input )
     {
         p_pic->pts = p_pic->duration = 0;
-        if( frame.reordered_opaque != AV_NOPTS_VALUE )
+        if( c->has_b_frames && frame.reordered_opaque != AV_NOPTS_VALUE )
             p_pic->pts = frame.reordered_opaque;
         else if( pkt->dts != AV_NOPTS_VALUE )
             p_pic->pts = pkt->dts; // for AVI files
-- 
1.7.0.2.msysgit.0
